Option Strict On
Option Explicit On

Imports System
Imports KadGen

Public Class SharedData
   Private Shared mCustomers As BObjects.CustomerCollection
   Private Shared mIncidents As BObjects.SupportIncidentCollection
   Private Shared mEmployees As BObjects.EmployeeCollection

   Friend Shared Sub Load()
      mCustomers = New BObjects.CustomerCollection
      mCustomers.Load()
      mEmployees = New BObjects.EmployeeCollection
      mEmployees.Load()
      mIncidents = New BObjects.SupportIncidentCollection
      mIncidents.Load()
   End Sub

   Public Shared ReadOnly Property Customers() As BObjects.CustomerCollection
      Get
         Return mCustomers
      End Get
   End Property

   Public Shared ReadOnly Property Incidents() As BObjects.SupportIncidentCollection
      Get
         Return mIncidents
      End Get
   End Property

   Public Shared ReadOnly Property Employees() As BObjects.EmployeeCollection
      Get
         Return mEmployees
      End Get
   End Property

End Class
