Option Strict On
Option Explicit On

Imports System

Public Class StringValidationRule
   Inherits ValidationRule


   Public Overrides Function Validate( _
            ByVal value As Object, _
            ByVal cultureInfo As System.Globalization.CultureInfo) _
            As System.Windows.Controls.ValidationResult
      Dim stringValue As String = value.ToString()
      If String.IsNullOrEmpty(stringValue) Then
         Return New ValidationResult(False, "Value can not be null")
      End If
      Return New ValidationResult(True, Nothing)
   End Function
End Class
