Option Strict On
Option Explicit On

Imports System
Imports System.Windows
Imports KadGen

' Interaction logic for Customer.xaml
Partial Public Class Customer
   Inherits System.Windows.Window

   Dim customers As BObjects.CustomerCollection
   Dim genderDisplay As BObjects.EnumDisplayCollection

    Public Sub New()
      InitializeComponent()

      Me.DataContext = SharedData.Customers

      genderDisplay = BObjects.EnumDisplayCollection.CreateEnumDisplay( _
         GetType(BObjects.Gender))
      GenderComboBox.ItemsSource = genderDisplay
   End Sub

   Private Sub HelpButton_Click(ByVal sender As Object, ByVal E As RoutedEventArgs)
      MessageBox.Show("I don't have any help today")
   End Sub

   Private Sub SaveCanExecute( _
            ByVal sender As Object, _
            ByVal e As CanExecuteRoutedEventArgs)
      If customers Is Nothing Then
         e.CanExecute = False
      Else
         e.CanExecute = Not customers.HasErrors
      End If
   End Sub

   Private Sub SaveExecuted( _
            ByVal sender As Object, _
            ByVal e As ExecutedRoutedEventArgs)
      MessageBox.Show("Save")
   End Sub

End Class


