' Interaction logic for Startup.xaml
Partial Public Class Startup
    Inherits System.Windows.Window

    Public Sub New()
      InitializeComponent()

      SharedData.Load()
    End Sub

   Private Sub SaveCommandExecuted(ByVal sender As Object, ByVal e As ExecutedRoutedEventArgs)
      MessageBox.Show("The save command has been invoked.")
   End Sub

   Private Sub SaveCommandCanExecute(ByVal sender As Object, ByVal e As CanExecuteRoutedEventArgs)
      e.CanExecute = True
   End Sub

   Private Sub CloseCommandExecuted(ByVal sender As Object, ByVal e As ExecutedRoutedEventArgs)
      Me.Close()
   End Sub

   Private Sub CloseCommandCanExecute(ByVal sender As Object, ByVal e As CanExecuteRoutedEventArgs)
      ' Always display Close initiating controls 
      e.CanExecute = True
   End Sub

   Private Sub CustomerClick(ByVal sender As Object, ByVal e As RoutedEventArgs)
      Dim form As New Customer()
      form.Show()
   End Sub

   Private Sub Customer2Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
      Dim uc As New Customer2()
      uc.SetValue(Grid.RowProperty, 1)
      Me.MainGrid.Children.Add(uc)
   End Sub

   Private Sub IncidentClick(ByVal sender As Object, ByVal e As RoutedEventArgs)
      Dim uc As New Incident()
      uc.SetValue(Grid.RowProperty, 1)
      Me.MainGrid.Children.Add(uc)
   End Sub

   Private Sub FunStuffClick(ByVal sender As Object, ByVal e As RoutedEventArgs)
      Dim uc As New FunStuff
      uc.SetValue(Grid.RowProperty, 1)
      Me.MainGrid.Children.Add(uc)
   End Sub
End Class
